return 1
fi
- echo ${1} | sed "s!^\(.*\)-.*!\1!g"
+ echo ${1} | sed "s!^\(.*\)-[0-9]*\.[0-9]*.*!\1!g"
}
# Saves the content of CFLAGS and CXXFLAGS environment variables.
# Get package if it is not in the repository
# Arg. #1: Package name and version
# Arg. #2: URL
+# Arg. #3: Optional extension
static_getpkg()
{
- PACK=${1}
- URL=${2}
+ local PACK=${1}
+ local URL=${2}
+ local MY_ARCH_EXT=${3}
# Checking for correct number of arguments
- if [ $# -ne 2 ]; then
+ if [ $# -ne 2 -a $# -ne 3 ]; then
echo "${FUNCNAME}(), wrong number of arguments: ${*}"
return 1
fi
if [ -z "${ARCH_EXT}" ]; then
# List of default archive extensions to try
- ARCH_EXT="tar.bz2 tar.gz tgz tar.Z"
+ MY_ARCH_EXT="tar.bz2 tar.gz tgz tar.Z"
fi
- for arch_ext in ${ARCH_EXT}; do
+ echo " MY_ARCH_EXT=${MY_ARCH_EXT}"
+
+ for arch_ext in ${MY_ARCH_EXT}; do
${WGETCMD} ${URL}/${PACK}.${arch_ext}
# Failure: if it was a connection timeout, don't try for other file extensions.
fi
# If we arrive here, it means we were able to download the file.
- if [ "x${arch_ext}" != "xtar.bz2" ]; then
+ if [ "x${arch_ext}" = "xtar.gz" -o "x${arch_ext}" = "xtgz" -o "x${arch_ext}" = "xtar.Z" ]; then
gztobz2 ${LFS_PKG_DIR}/${PACK}.${arch_ext}
fi
return $?
return 1
fi
- if [ ! -f ${LFS_PKG_DIR}/${PACK}.tar.bz2 ]; then
- rcmd "Fetching ${PACK}" static_getpkg ${PACK} ${URL}
+ # Default extension
+ local FINAL_EXT=tar.bz2
+
+ local FETCH_STRING="Fetching ${PACK}"
+
+ if [ -n "${ARCH_EXT}" ]; then
+ FINAL_EXT=${ARCH_EXT}
+ FETCH_STRING="${FETCH_STRING}.${ARCH_EXT}"
+ fi
+
+ # Default destination directory
+ local MY_FETCH_DIR=${LFS_PKG_DIR}
+
+ if [ -n "${FETCH_DIR}" ]; then
+ local MY_FETCH_DIR=${FETCH_DIR}
+ local MOVE_FILE=1
+ fi
+
+ DEST_FILE=${MY_FETCH_DIR}/${PACK}.${FINAL_EXT}
+
+ ##########echo "DEST_FILE=${DEST_FILE}"
+ if [ ! -f ${DEST_FILE} ]; then
+ rcmd "${FETCH_STRING}" static_getpkg ${PACK} ${URL} ${ARCH_EXT}
+
+ # Move to final directory if alternate directory specified
+ if [ -f ${LFS_PKG_DIR}/${PACK}.${FINAL_EXT} -a -n "${MOVE_FILE}" ]; then
+ mv ${LFS_PKG_DIR}/${PACK}.${FINAL_EXT} ${DEST_FILE}
+ fi
fi
# Check if a patch is available.
reurn 1
fi
- if [ ! -f ${LFS_PKG_DIR}/${TARGET}.tar.bz2 ]; then
+ if [ -z "${ARCH_EXT}" ]; then
+ # Default extension
+ FINAL_EXT=tar.bz2
+ else
+ FINAL_EXT=${ARCH_EXT}
+ fi
+
+ if [ ! -f ${LFS_PKG_DIR}/${TARGET}.${FINAL_EXT} ]; then
fpkg ${SOURCE} ${URL}
- if [ -f ${LFS_PKG_DIR}/${SOURCE}.tar.bz2 ]; then
- mv ${LFS_PKG_DIR}/${SOURCE}.tar.bz2 ${LFS_PKG_DIR}/${TARGET}.tar.bz2
+ if [ -f ${LFS_PKG_DIR}/${SOURCE}.${FINAL_EXT} ]; then
+ mv ${LFS_PKG_DIR}/${SOURCE}.${FINAL_EXT} ${LFS_PKG_DIR}/${TARGET}.${FINAL_EXT}
fi
fi
WMNOTIFY="wmnotify-0.3.2"
WV="wv-1.2.4"
-XFREE86="XFree86-4.8.0"
+XORG_APP=app-7.5-2
+XORG_DATA=data-7.2
+XORG_DRIVER=driver-7.5-2
+XORG_FONT=font-7.5-2
+XORG_LIB=lib-7.5-2
+XORG_PROTO=proto-7.5-2
+XORG_UTIL=util-7.5-2
+LIBXAU=libXau-1.0.5
+LIBXDMCP=libXdmcp-1.0.3
+XBITMAPS=xbitmaps-1.1.0
+XCURSOR_THEMES=xcursor-themes-1.0.2
+XKEYBOARD_CONFIG=xkeyboard-config-1.7
+LUIT=luit-1.0.4
+XORG_SERVER=xorg-server-1.7.1
+
XMLTOMAN="xmltoman-0.4"
XVIDCORE="xvidcore-1.2.2"
XZ_UTILS="xz-4.999.9beta"
update_packages_init
-
-fpkg_sf ${FREETYPE}
-fpkg ${FONTCONFIG} "http://fontconfig.org/release"
-###fpkg_hv ${XFREE86}
-
-
-fpkg ${T1LIB} "http://www.ibiblio.org/pub/Linux/libs/graphics"
-fpkg_mis ${TK} "${TK}-src" ${SOURCEFORGE_URL}/tcl
-
-fpkg_gnu ${EMACS}
-
-fpkg ${WINDOWMAKER} "http://windowmaker.info/pub/source/release"
-fpkg ${WINDOWMAKER_EXTRA} "http://windowmaker.info/pub/source/release"
-fpkg_sf ${LESSTIF}
-
-fpkg ${PERL_MOD_XML_SIMPLE} "http://www.cpan.org/modules/by-module/XML"
-fpkg ${PERL_MOD_PARSE_REDESCENT} "http://www.cpan.org/modules/by-module/Parse"
-
-# Gtk
-fpkg_gnome ${GTK_DOC}
-fpkg_gnome ${GLIB}
-fpkg ${PIXMAN} "http://cairographics.org/releases"
-fpkg ${GLITZ} "http://cairographics.org/snapshots"
-fpkg ${CAIRO} "http://cairographics.org/releases"
-fpkg ${CAIROMM} "http://cairographics.org/releases"
-fpkg_gnome ${PANGO}
-fpkg_gnome ${ATK}
-fpkg_gnome ${GTK2}
-fpkg_gnome ${GTK_ENGINES}
-fpkg_gnome ${PYGOBJECT}
-fpkg_gnome ${PYGTK}
-
-fpkg_gnome ${LIBSIGCPP}
-fpkg ${GC} " http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source"
-fpkg_gnome ${GLIBMM}
-fpkg_gnome ${GTKMM}
-
-
-fpkg_hv ${HVCLOCK}
-fpkg_hv ${WMNOTIFY}
-
-fpkg ${DESKTOP_FILE_UTILS} "http://freedesktop.org/software/desktop-file-utils/releases"
-fpkg ${SHARED_MIME_INFO} "http://people.freedesktop.org/~hadess"
-fpkg_gnome ${STARTUP_NOTIFICATION}
-fpkg_gnome ${LIBWNCK}
-fpkg_sf ${LIBXKLAVIER} gswitchit
-fpkg_gnome ${LIBGLADE}
-fpkg_gnome ${LIBSOUP}
-fpkg_gnome ${LIBIDL}
-fpkg_gnome ${LIBRSVG}
-
-fpkg_gnome ${INTLTOOL}
-fpkg_gnu ${GSL}
-
-fpkg_sf ${LIBUSB}
-fpkg_sf ${LIBGPHOTO2} "gphoto"
-
-fpkg ${BABL} "ftp://ftp.gtk.org/pub/babl/$(get_pkg_ver_base ${BABL})"
-fpkg ${GEGL} "ftp://ftp.gimp.org/pub/gegl/$(get_pkg_ver_base ${BABL})"
-fpkg ${GIMP} "ftp://ftp.gimp.org/pub/gimp/v$(get_pkg_ver_base ${GIMP})"
-fpkg_sf ${GUTENPRINT}
-fpkg_hv ${INKSCAPE}
-
-fpkg ${CDRTOOLS} "ftp://ftp.berlios.de/pub/cdrecord"
-fpkg ${DVDRWTOOLS} "http://fy.chalmers.se/~appro/linux/DVD+RW/tools"
-
-fpkg_mis ${CUPS} "${CUPS}-source" "http://ftp.easysw.com/pub/cups/$(get_pkg_ver ${CUPS})"
-fpkg_sf ${SPLIX}
-
-fpkg_mis ${ESPGS} "${ESPGS}-source" "http://ftp.easysw.com/pub/ghostscript/$(get_pkg_ver ${ESPGS})"
-fpkg_sf ${GHOSTSCRIPT_FONTS_STD} "ghostscript"
-fpkg_sf ${GHOSTSCRIPT_FONTS_OTHER} "ghostscript"
-
-fpkg_hv ${IMAGE_MAGICK}
-fpkg ${ICON_NAMING_UTILS} "http://tango.freedesktop.org/releases"
-fpkg ${TANGO_ICON_THEME} "http://tango-project.org/releases"
-fpkg ${TANGO_ICON_THEME_EXTRAS} "http://tango-project.org/releases"
-
-
-fpkg ${TETEX_SRC} "${TETEX_URL}/$(get_pkg_ver ${TETEX_SRC})/distrib"
-fpkg ${TETEX_TEXMF} "${TETEX_URL}/$(get_pkg_ver ${TETEX_TEXMF})/distrib"
-fpkg ${TETEX_TEXMFSRC} "${TETEX_URL}/$(get_pkg_ver ${TETEX_TEXMFSRC})/distrib"
-fpkg ${TETEX_CM_SUPER} "http://anduin.linuxfromscratch.org/sources/BLFS/svn/t"
-# For re-generating fontconfig documentation.
-fpkg_sf ${JADETEX}
-
-fpkg ${POPPLER} "http://poppler.freedesktop.org"
-
-fpkg ${SANE_BACKENDS} "ftp://ftp.sane-project.org/pub/sane/${SANE_BACKENDS}"
-fpkg ${XSANE} "ftp://ftp.sane-project.org/pub/sane/xsane"
-
-fpkg_sf ${JACK} "jackit"
-fpkg ${ALSA_LIB} "ftp://ftp.alsa-project.org/pub/lib"
-fpkg ${ALSA_PLUGINS} "ftp://ftp.alsa-project.org/pub/plugins"
-fpkg ${ALSA_UTILS} "ftp://ftp.alsa-project.org/pub/utils"
-fpkg ${ALSA_OSS} "ftp://ftp.alsa-project.org/pub/oss-lib"
-
-# Multimedia libraries and drivers.
-fpkg ${AUDIOFILE} "http://www.68k.org/~michael/audiofile"
-fpkg_gnome ${ESOUND}
-
-fpkg ${LIBSAMPLERATE} "http://www.mega-nerd.com/SRC"
-fpkg ${LIBOIL} "http://liboil.freedesktop.org/download"
-fpkg ${SPEEX} "http://downloads.xiph.org/releases/speex"
-fpkg ${PULSEAUDIO} "http://0pointer.de/lennart/projects/pulseaudio"
-
-# Temporaire, version beta
-fpkg ${LIBSNDFILE} "http://www.mega-nerd.com/tmp"
-#fpkg ${LIBSNDFILE} "http://www.mega-nerd.com/libsndfile"
-
-fpkg ${LIBOGG} "http://downloads.xiph.org/releases/ogg"
-fpkg ${LIBVORBIS} "http://downloads.xiph.org/releases/vorbis"
-fpkg ${LIBTHEORA} "http://downloads.xiph.org/releases/theora"
-
-fpkg_hv ${FLAC}
-fpkg_hv ${FFMPEG}
-fpkg ${XVIDCORE} "http://downloads.xvid.org/downloads"
-
-# Audio utilities
-fpkg_sf ${LAME}
-fpkg ${VORBIS_TOOLS} "http://downloads.xiph.org/releases/vorbis"
-fpkg_hv ${LIBA52}
-fpkg_hv ${LIBID3TAG}
-fpkg ${LIBMAD} "ftp://ftp.mars.org/pub/mpeg"
-fpkg_sf ${LIBFAAC}
-fpkg ${LIBFAAD2} "http://downloads.sourceforge.net/faac"
-fpkg_sf ${GRIP}
-fpkg_sf ${CDRDAO}
-fpkg_hv ${PORTAUDIO}
-fpkg_hv ${SWEEP}
-fpkg ${LILYPOND} "http://lilypond.org/download/sources/v$(get_pkg_ver_base ${LILYPOND})"
-fpkg ${SYLPHEED} "http://sylpheed.good-day.net/sylpheed/v$(get_pkg_ver_base ${SYLPHEED})"
-
-fpkg_hv ${NSS}
-fpkg ${FIREFOX} "http://releases.mozilla.org/pub/mozilla.org/firefox/releases/$(get_pkg_ver ${FIREFOX})/source"
-
-fpkg_hv ${JAVA}
-fpkg_hv ${AGG}
-fpkg ${GNASH} "http://ftp.gnu.org/pub/gnu/gnash/$(get_pkg_ver ${GNASH})"
-
-fpkg ${DBUS} "http://dbus.freedesktop.org/releases/dbus"
-fpkg ${DBUS_GLIB} "http://dbus.freedesktop.org/releases/dbus-glib"
-fpkg ${HAL} "http://people.freedesktop.org/~david/dist"
-
-fpkg ${SASL2} "ftp://ftp.andrew.cmu.edu/pub/cyrus-mail"
-fpkg_mis ${OPENLDAP} "openldap-stable-20070831" \
- "ftp://ftp.openldap.org/pub/OpenLDAP/openldap-stable"
-fpkg_hv ${KERBEROS5}
-
-fpkg_mis ${SENDMAIL} "sendmail.$(get_pkg_ver ${SENDMAIL})" "ftp://ftp.sendmail.org/pub/sendmail"
-fpkg ${LIBSPF2} "http://libspf2.org/spf"
-fpkg ${MILTER_GREYLIST} "ftp://ftp.espci.fr/pub/milter-greylist"
-fpkg_hv ${MILTER_SPF}
-fpkg ${PROCMAIL} "http://www.procmail.org"
-fpkg ${FETCHMAIL} "http://download.berlios.de/fetchmail"
-fpkg_sf ${MUTT}
-
-fpkg_mis ${FCRON} "${FCRON}.src" "ftp://ftp.seul.org/pub/fcron"
-fpkg_hv ${GETDATE}
-
-fpkg_sf ${CLAMAV}
-
-fpkg ${PERL_MOD_HTML_TAGSET} "http://anduin.linuxfromscratch.org/sources/BLFS/svn/perl-modules"
-fpkg ${PERL_MOD_HTML_PARSER} "http://anduin.linuxfromscratch.org/sources/BLFS/svn/perl-modules"
-fpkg ${PERL_MOD_APACHE_LOGGED_AUTH_DBI} "http://search.cpan.org/CPAN/authors/id/S/SI/SIMKIN"
-fpkg ${PERL_MOD_DB_FILE} "http://search.cpan.org/CPAN/authors/id/P/PM/PMQS"
-fpkg ${PERL_MOD_DIGEST_SHA1} "http://anduin.linuxfromscratch.org/sources/BLFS/svn/perl-modules"
-# URI is needed by LWP
-fpkg ${PERL_MOD_URI} "http://search.cpan.org/CPAN/authors/id/G/GA/GAAS"
-# LWP is Needed by LTSP
-fpkg ${PERL_MOD_LWP} "http://www.linpro.no/lwp"
-
-# ZIP is Needed by OO
-fpkg ${PERL_MOD_ARCHIVE_ZIP} "http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK"
-fpkg ${PERL_MOD_COMPRESS_ZLIB} "http://search.cpan.org/CPAN/authors/id/P/PM/PMQS"
-fpkg ${PERL_MOD_IO_COMPRESS_BASE} "http://search.cpan.org/CPAN/authors/id/P/PM/PMQS"
-fpkg ${PERL_MOD_IO_COMPRESS_ZLIB} "http://search.cpan.org/CPAN/authors/id/P/PM/PMQS"
-fpkg ${PERL_MOD_COMPRESS_RAW_ZLIB} "http://search.cpan.org/CPAN/authors/id/P/PM/PMQS"
-fpkg ${PERL_MOD_NET_DNS} "http://search.cpan.org/CPAN/authors/id/O/OL/OLAF"
-
-fpkg ${SPAMASSASSIN} "http://apache.sunsite.ualberta.ca/spamassassin/source"
-fpkg ${UW_IMAP} "ftp://ftp.cac.washington.edu/imap"
-
-fpkg ${HTTPD} "http://www.apache.org/dist/httpd"
-
-
-
-fpkg_sf ${MAILMAN}
-
-fpkg ${SAMBA} "ftp://ftp.samba.org/pub/samba/old-versions"
-
-fpkg ${PHP} "http://us2.php.net/distributions"
-
-lpkg 2 ${SUBVERSION}
-fpkg_gnu ${INDENT}
-
-fpkg ${LTSP_UTILS} "http://ltsp.mirrors.tds.net/pub/ltsp/utils"
-fpkg ${TFTP_HPA} "http://www.kernel.org/pub/software/network/tftp"
-
-fpkg_sf ${KVM}
-fpkg_hv ${BRIDGE_UTILS}
-fpkg_hv ${UML_UTILITIES}
-
-fpkg_gnu ${GUILE}
-
-fpkg_sf ${LIBBOOST}
-
-fpkg ${TRANSMISSION} "http://mirrors.m0k.org/transmission/files"
-
-fpkg_hv ${CKERMIT}
-
-fpkg ${LIBGAMIN} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
-fpkg_sf ${PCMANFM}
-
-fpkg_gnu ${HELP2MAN}
-
-fpkg ${LIBDVDCSS} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
-fpkg ${LIBDVDREAD} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
-fpkg ${DVDFS} "http://jspenguin.org:81/dvdfs"
-
-
-
-fpkg ${LIBFFI} "ftp://sourceware.org/pub/libffi"
-fpkg_gnome ${GOBJECT_INSTROSPECTION}
-fpkg ${EGGDBUS} "http://hal.freedesktop.org/releases"
-fpkg ${POLKIT} "http://hal.freedesktop.org/releases"
-
-fpkg ${GNUPG} "ftp://ftp.gnupg.org/gcrypt/gnupg"
+XORG_MODULES_LIST="${XORG_APP} ${XORG_DATA} ${XORG_DRIVER} ${XORG_FONT} ${XORG_LIB} ${XORG_PROTO} ${XORG_UTIL}"
+
+BLFS_XORG_URL=http://anduin.linuxfromscratch.org/files/BLFS/svn/xorg
+XORG_URL=http://xorg.freedesktop.org/releases/individual
+
+for module in ${XORG_MODULES_LIST}; do
+ MOD_NAME=$(get_pkg_name ${module})
+ DEST=${LFS_PKG_DIR}/${MOD_NAME}
+
+ ARCH_EXT=wget fpkg ${module} ${BLFS_XORG_URL}
+ ARCH_EXT=md5 fpkg ${module} ${BLFS_XORG_URL}
+ unset ARCH_EXT
+
+ SUBMODS="$(grep -v '^#' ${LFS_PKG_DIR}/${module}.wget | sed 's!\.tar\.bz2$!!')"
+
+ mkdir -v -p ${DEST} >> ${LFS_LOG_FILE} 2>&1
+
+ export FETCH_DIR=${DEST}
+ for submod in ${SUBMODS}; do
+ fpkg ${submod} ${XORG_URL}/${MOD_NAME}
+ done
+ unset FETCH_DIR
+
+ pushd ${DEST} >> ${LFS_LOG_FILE}
+ md5sum -c ${LFS_PKG_DIR}/${module}.md5 >> ${LFS_LOG_FILE}
+ if [ $? -ne 0 ]; then
+ echo " md5sum error for ${module}"
+ fi
+ popd >> ${LFS_LOG_FILE}
+done
+
+fpkg ${LIBXAU} ${XORG_URL}/lib
+fpkg ${LIBXDMCP} ${XORG_URL}/lib
+fpkg ${XBITMAPS} ${XORG_URL}/data
+fpkg ${XCURSOR_THEMES} ${XORG_URL}/data
+fpkg ${XKEYBOARD_CONFIG} http://xlibs.freedesktop.org/xkbdesc
+fpkg ${LUIT} ${XORG_URL}/app
+fpkg ${XORG_SERVER} ${XORG_URL}/xserver
exit $?
+++ /dev/null
-
-Installation instructions
--------------------------
-
-1. ./stage5-install-avr
-2. ./stage5-install-arm
+++ /dev/null
-
--Ajouter splint.
--Ajouter l'installatuion des man pages de avr-libc et du manuel de avr-libc.
+++ /dev/null
-../stage2/cis-ac
\ No newline at end of file
+++ /dev/null
-../stage2/cis-ac-nobuild
\ No newline at end of file
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# Saves CFLAGS and CXXFLAGS, and clears them.
-save_flags_no_optimizations
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --host=${TARGET} \
- --prefix=${PREFIX} &&
-make &&
-make install &&
-
-# Restore original CFLAGS and CXXFLAGS values.
-restore_flags
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=/usr \
- --sysconfdir=/etc &&
-make all &&
-make install
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# Saves CFLAGS and CXXFLAGS, and clears them.
-save_flags_no_optimizations
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --target=${TARGET} \
- --prefix=${PREFIX} \
- --with-sysroot=${SYSROOT} &&
-make &&
-make install
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# Saves CFLAGS and CXXFLAGS, and clears them.
-save_flags_no_optimizations
-
-# This is necessary so that the compiler is built without
-# libc includes, which are not yet installed for this target.
-#export CFLAGS="${CFLAGS} -Dinhibit_libc"
-
-#Fortunately, there are configuration options for GCC which tell it not
-#to build 'libgcc_s.so'. The '--without-headers' option is supposed to
-#take care of this, but its implementation is incomplete, so you must
-#also configure with the '--with-newlib' option. While '--with-newlib'
-#appears to mean "Use the Newlib C library", its effect is to tell the
-#GCC build machinery, "Don't assume there is a C library available."
-
-#We also need to disable some of the libraries that would normally be
-#built along with GCC, and specify that only the compiler for the C
-#language is needed.
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --target=${TARGET} \
- --prefix=${PREFIX} \
- --with-sysroot=${SYSROOT} \
- --without-headers --with-newlib \
- --disable-shared \
- --disable-threads \
- --disable-libssp \
- --disable-libgomp \
- --disable-libmudflap \
- --enable-languages=c &&
-make all-gcc &&
-make install-gcc
-
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# Saves CFLAGS and CXXFLAGS, and clears them.
-save_flags_no_optimizations
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --target=${TARGET} \
- --prefix=${PREFIX} \
- --without-dwarf2 \
- --without-stabs \
- --disable-libssp \
- --enable-languages=c &&
-make all &&
-make install &&
-
-# Restore original CFLAGS and CXXFLAGS values.
-restore_flags
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --target=${TARGET} \
- --prefix=${PREFIX} &&
-make &&
-make install
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# Saves CFLAGS and CXXFLAGS, and clears them.
-save_flags_no_optimizations
-
-cd ${LFS_TMP}/${1} &&
-
-# Configure options:
-# --disable-profile
-# Builds the libraries without profiling information.
-# --enable-add-ons
-# Use all the add-ons it finds.
-# crypt and localdata are now part of glibc.
-# --enable-kernel=2.x.x
-# Compile the library for support of linux 2.6.x kernels.
-# The kernel version specified must not be newer than the
-# version of the kernel running on the build machine.
-# --without-gd
-# Prevents the build of the memusagestat program, which
-# strangely enough insists on linking against the host's
-# libraries (libgd, libpng, libz, and so forth).
-cd ${LFS_TMP}/${1}-build &&
-BUILD_CC=gcc CC=${CROSS_COMPILE}gcc AR=${CROSS_COMPILE}ar RANLIB=${CROSS_COMPILE}ranlib AS=${CROSS_COMPILE}as LD=${CROSS_COMPILE}ld \
- ../${1}/configure \
- --prefix=/usr \
- --host=${TARGET} \
- --with-headers=${SYSROOT}/usr/include \
- --enable-add-ons \
- --enable-kernel=${GLIBC_KERNEL_VERSION} \
- --disable-profile \
- --without-gd \
- --without-cvs \
- --without-selinux &&
-
-# --enable-threads=posix \
-# --enable-static-nss \
-# --enable-add-ons \
-# --disable-sanity-checks \
-# --without-__thread \
-
-make &&
-make install_root=${SYSROOT} install
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# The ARCH variable must be exported for this script
-# eg. ARCH=powerpc
-
-# We don't compile anything, we only install headers
-##################################################################unset CROSS_COMPILE &&
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# Move files to their final destination
-mkdir -pv ${SYSROOT}/usr/src &&
-cp -a ${LFS_TMP}/${1} ${SYSROOT}/usr/src &&
-
-cd ${SYSROOT}/usr/src &&
-
-# Create the link only if it does not exist. Otherwise, the
-# new link will be created inside kernel directory.
-rm -fv linux &&
-ln -sfv ${1} linux &&
-
-cd ${SYSROOT}/usr/src/${1} &&
-
-# First step, install kernel API headers:
-make mrproper &&
-make headers_check &&
-make INSTALL_HDR_PATH=dest headers_install &&
-mkdir -pv ${SYSROOT}/usr/include &&
-cp -rv dest/include/* ${SYSROOT}/usr/include &&
-
-# Second, install HV kernel compilation script:
-cat > ${SYSROOT}/usr/src/compile-kernel << "EOF" &&
-#!/bin/sh
-
-KERNEL_VERSION=$(basename $(pwd))
-DEST=/boot
-
-export ARCH=_ARCH_
-export CROSS_COMPILE=_CROSS_COMPILE_
-export SYSROOT=_SYSROOT_
-
-KERNELMAKE="make -j 4"
-
-${KERNELMAKE} bzImage &&
-
-if cat .config | grep "CONFIG_MODULES=y" 1> /dev/null 2>&1; then
- ${KERNELMAKE} modules &&
- ${KERNELMAKE} INSTALL_MOD_PATH=${SYSROOT} modules_install
-fi &&
-
-cp arch/${ARCH}/boot/images/zImage.elf ${DEST}/vmlinuz-${KERNEL_VERSION} &&
-cp arch/${ARCH}/boot/images/zImage.elf ${DEST}/vmlinuz-latest &&
-cp System.map ${DEST}/System-${KERNEL_VERSION}.map &&
-cp .config ${DEST}/config-${KERNEL_VERSION}
-
-if [ $? -ne 0 ]; then
- echo "*** Kernel compilation error ***."
- exit 1
-fi
-
-exit 0
-EOF
-
-sed -i -e "s!_ARCH_!${ARCH}!g" ${SYSROOT}/usr/src/compile-kernel &&
-sed -i -e "s!_CROSS_COMPILE_!${CROSS_COMPILE}!g" ${SYSROOT}/usr/src/compile-kernel &&
-sed -i -e "s!_SYSROOT_!${SYSROOT}!g" ${SYSROOT}/usr/src/compile-kernel &&
-
-chmod -v u+x ${SYSROOT}/usr/src/compile-kernel
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# Saves CFLAGS and CXXFLAGS, and clears them.
-save_flags_no_optimizations
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --target=${TARGET} \
- --prefix=${PREFIX} &&
-make all &&
-make install &&
-
-# Restore original CFLAGS and CXXFLAGS values.
-restore_flags
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-
-# Must be defined before sourcing other files.
-LFS_STAGE="stage5"
-
-# Reading system configuration informations, functions and package versions.
-source ../functions
-source ../functions-update
-source ../packages-list
-
-update_packages_init
-
-# Begin
-
-lpkg 1 ${AVR_BINUTILS}
-lpkg 1 ${ARM_BINUTILS}
-lpkg 1 ${KERNEL}
-lpkg 1 ${GLIBC}
-lpkg 1 ${AVR_GCC_CORE}
-lpkg 1 ${ARM_GCC_CORE}
-fpkg ${AVR_LIBC} "http://download.savannah.gnu.org/releases/avr-libc"
-fpkg ${NEWLIB} "ftp://sources.redhat.com/pub/newlib"
-fpkg_gnu ${AVR_GDB}
-fpkg ${AVRDUDE} "http://download.savannah.gnu.org/releases/avrdude"
-fpkg_mis ${SPLINT} "${SPLINT}.src" "http://splint.org/downloads"
-
-GEDA_BASE_URL=http://geda.seul.org/release/v$(get_pkg_ver_base ${LIBGEDA})/$(get_pkg_ver ${LIBGEDA})
-
-fpkg ${LIBGEDA} ${GEDA_BASE_URL}
-fpkg ${GEDA_SYMBOLS} ${GEDA_BASE_URL}
-fpkg ${GEDA_GSCHEM} ${GEDA_BASE_URL}
-fpkg ${GEDA_GNETLIST} ${GEDA_BASE_URL}
-fpkg ${GEDA_SYMCHECK} ${GEDA_BASE_URL}
-fpkg ${GEDA_GATTRIB} ${GEDA_BASE_URL}
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage4"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
-export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-source /etc/profile
-
-# Init log file
-mkdir -p ${LFS_LOG_DIR} || exit 1
-if [ ! -f ${LFS_LOG_FILE} ]; then
- touch ${LFS_LOG_FILE} || exit 1
-fi
-
-ipkg ${GDB} cis-gdb
-
-exit $?
+++ /dev/null
-#!/bin/sh
-
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage5"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage5
-export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-export LFS_TMP=/mnt/hv-packages/tmp
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-source /etc/profile
-
-init_log_file
-
-export TARGET="arm-elf"
-export PREFIX="/usr/arm-elf"
-
-var_add_path "PATH" /etc/profile "${PREFIX}/bin" &&
-source /etc/profile &&
-
-ipkg ${ARM_BINUTILS} cis-binutils
-ipkg_mult ${ARM_GCC_CORE} cis-gcc1 "${GCC_CORE}-pass1"
-ipkg ${NEWLIB} cis-newlib
-ipkg_mult ${ARM_GCC_CORE} cis-gcc2 "${GCC_CORE}-pass2"
-ipkg ${GDB} cis-gdb
-
-exit $?
+++ /dev/null
-#!/bin/sh
-
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage5"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage5
-export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-export LFS_TMP="/tmp"
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-source /etc/profile
-
-if [ "x${USER}" != "xroot" ]; then
- echo "You must be the superuser to install hvlinux."
- exit 1
-fi
-
-init_log_file
-
-export TARGET="avr"
-export PREFIX="/usr/avr"
-
-var_add_path "PATH" /etc/profile "${PREFIX}/bin" &&
-source /etc/profile &&
-
-ipkg ${AVR_BINUTILS} cis-binutils
-ipkg_mult ${AVR_GCC_CORE} cis-gcc2 "${GCC_CORE}-pass2"
-ipkg ${AVR_LIBC} cis-avr-libc
-ipkg ${AVRDUDE} cis-avrdude
-ipkg ${SPLINT} cis-ac-nobuild
-ipkg ${AVR_GDB} cis-gdb
-
-exit $?
+++ /dev/null
-#!/bin/sh
-
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage5"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage5
-export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-export LFS_TMP="$(dirname $(dirname $(pwd)))/packages/tmp"
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-source /etc/profile
-
-init_log_file
-
-if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
- ipkg_ac ${LIBGEDA}
- ipkg_ac ${GEDA_SYMBOLS}
- ipkg_ac ${GEDA_GSCHEM}
- ipkg_ac ${GEDA_GNETLIST}
- ipkg_ac ${GEDA_SYMCHECK}
- ipkg_ac ${GEDA_GATTRIB}
-fi
-
-exit $?
+++ /dev/null
-#!/bin/sh
-
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage5"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage5
-export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-export LFS_TMP=/tmp
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-source /etc/profile
-
-init_log_file
-
-export CFLAGS="-pipe -O2"
-export CXXFLAGS=${CFLAGS}
-
-export ARCH="powerpc"
-export TARGET="powerpc-405-linux-gnu"
-export PREFIX="/usr/powerpc-405"
-export SYSROOT=${PREFIX}/sysroot
-export CROSS_COMPILE=${TARGET}-
-
-var_add_path "PATH" /etc/profile "${PREFIX}/bin" &&
-source /etc/profile &&
-
-ipkg ${BINUTILS} cis-binutils
-ipkg_mult ${GCC_CORE} cis-gcc1 "${GCC_CORE}-pass1"
-ipkg ${KERNEL} cis-kernel
-ipkg ${GLIBC} cis-glibc
-
-exit 1
-exit 1
-
-ipkg_mult ${GCC_CORE} cis-gcc2 "${GCC_CORE}-pass2"
-ipkg ${GDB} cis-gdb
-
-exit $?
--- /dev/null
+
+Installation instructions
+-------------------------
+
+1. ./stage5-install-avr
+2. ./stage5-install-arm
--- /dev/null
+
+-Ajouter splint.
+-Ajouter l'installatuion des man pages de avr-libc et du manuel de avr-libc.
--- /dev/null
+../stage2/cis-ac
\ No newline at end of file
--- /dev/null
+../stage2/cis-ac-nobuild
\ No newline at end of file
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+# Saves CFLAGS and CXXFLAGS, and clears them.
+save_flags_no_optimizations
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --host=${TARGET} \
+ --prefix=${PREFIX} &&
+make &&
+make install &&
+
+# Restore original CFLAGS and CXXFLAGS values.
+restore_flags
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --prefix=/usr \
+ --sysconfdir=/etc &&
+make all &&
+make install
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+# Saves CFLAGS and CXXFLAGS, and clears them.
+save_flags_no_optimizations
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --target=${TARGET} \
+ --prefix=${PREFIX} \
+ --with-sysroot=${SYSROOT} &&
+make &&
+make install
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+# Saves CFLAGS and CXXFLAGS, and clears them.
+save_flags_no_optimizations
+
+# This is necessary so that the compiler is built without
+# libc includes, which are not yet installed for this target.
+#export CFLAGS="${CFLAGS} -Dinhibit_libc"
+
+#Fortunately, there are configuration options for GCC which tell it not
+#to build 'libgcc_s.so'. The '--without-headers' option is supposed to
+#take care of this, but its implementation is incomplete, so you must
+#also configure with the '--with-newlib' option. While '--with-newlib'
+#appears to mean "Use the Newlib C library", its effect is to tell the
+#GCC build machinery, "Don't assume there is a C library available."
+
+#We also need to disable some of the libraries that would normally be
+#built along with GCC, and specify that only the compiler for the C
+#language is needed.
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --target=${TARGET} \
+ --prefix=${PREFIX} \
+ --with-sysroot=${SYSROOT} \
+ --without-headers --with-newlib \
+ --disable-shared \
+ --disable-threads \
+ --disable-libssp \
+ --disable-libgomp \
+ --disable-libmudflap \
+ --enable-languages=c &&
+make all-gcc &&
+make install-gcc
+
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+# Saves CFLAGS and CXXFLAGS, and clears them.
+save_flags_no_optimizations
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --target=${TARGET} \
+ --prefix=${PREFIX} \
+ --without-dwarf2 \
+ --without-stabs \
+ --disable-libssp \
+ --enable-languages=c &&
+make all &&
+make install &&
+
+# Restore original CFLAGS and CXXFLAGS values.
+restore_flags
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --target=${TARGET} \
+ --prefix=${PREFIX} &&
+make &&
+make install
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+# Saves CFLAGS and CXXFLAGS, and clears them.
+save_flags_no_optimizations
+
+cd ${LFS_TMP}/${1} &&
+
+# Configure options:
+# --disable-profile
+# Builds the libraries without profiling information.
+# --enable-add-ons
+# Use all the add-ons it finds.
+# crypt and localdata are now part of glibc.
+# --enable-kernel=2.x.x
+# Compile the library for support of linux 2.6.x kernels.
+# The kernel version specified must not be newer than the
+# version of the kernel running on the build machine.
+# --without-gd
+# Prevents the build of the memusagestat program, which
+# strangely enough insists on linking against the host's
+# libraries (libgd, libpng, libz, and so forth).
+cd ${LFS_TMP}/${1}-build &&
+BUILD_CC=gcc CC=${CROSS_COMPILE}gcc AR=${CROSS_COMPILE}ar RANLIB=${CROSS_COMPILE}ranlib AS=${CROSS_COMPILE}as LD=${CROSS_COMPILE}ld \
+ ../${1}/configure \
+ --prefix=/usr \
+ --host=${TARGET} \
+ --with-headers=${SYSROOT}/usr/include \
+ --enable-add-ons \
+ --enable-kernel=${GLIBC_KERNEL_VERSION} \
+ --disable-profile \
+ --without-gd \
+ --without-cvs \
+ --without-selinux &&
+
+# --enable-threads=posix \
+# --enable-static-nss \
+# --enable-add-ons \
+# --disable-sanity-checks \
+# --without-__thread \
+
+make &&
+make install_root=${SYSROOT} install
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# The ARCH variable must be exported for this script
+# eg. ARCH=powerpc
+
+# We don't compile anything, we only install headers
+##################################################################unset CROSS_COMPILE &&
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+# Move files to their final destination
+mkdir -pv ${SYSROOT}/usr/src &&
+cp -a ${LFS_TMP}/${1} ${SYSROOT}/usr/src &&
+
+cd ${SYSROOT}/usr/src &&
+
+# Create the link only if it does not exist. Otherwise, the
+# new link will be created inside kernel directory.
+rm -fv linux &&
+ln -sfv ${1} linux &&
+
+cd ${SYSROOT}/usr/src/${1} &&
+
+# First step, install kernel API headers:
+make mrproper &&
+make headers_check &&
+make INSTALL_HDR_PATH=dest headers_install &&
+mkdir -pv ${SYSROOT}/usr/include &&
+cp -rv dest/include/* ${SYSROOT}/usr/include &&
+
+# Second, install HV kernel compilation script:
+cat > ${SYSROOT}/usr/src/compile-kernel << "EOF" &&
+#!/bin/sh
+
+KERNEL_VERSION=$(basename $(pwd))
+DEST=/boot
+
+export ARCH=_ARCH_
+export CROSS_COMPILE=_CROSS_COMPILE_
+export SYSROOT=_SYSROOT_
+
+KERNELMAKE="make -j 4"
+
+${KERNELMAKE} bzImage &&
+
+if cat .config | grep "CONFIG_MODULES=y" 1> /dev/null 2>&1; then
+ ${KERNELMAKE} modules &&
+ ${KERNELMAKE} INSTALL_MOD_PATH=${SYSROOT} modules_install
+fi &&
+
+cp arch/${ARCH}/boot/images/zImage.elf ${DEST}/vmlinuz-${KERNEL_VERSION} &&
+cp arch/${ARCH}/boot/images/zImage.elf ${DEST}/vmlinuz-latest &&
+cp System.map ${DEST}/System-${KERNEL_VERSION}.map &&
+cp .config ${DEST}/config-${KERNEL_VERSION}
+
+if [ $? -ne 0 ]; then
+ echo "*** Kernel compilation error ***."
+ exit 1
+fi
+
+exit 0
+EOF
+
+sed -i -e "s!_ARCH_!${ARCH}!g" ${SYSROOT}/usr/src/compile-kernel &&
+sed -i -e "s!_CROSS_COMPILE_!${CROSS_COMPILE}!g" ${SYSROOT}/usr/src/compile-kernel &&
+sed -i -e "s!_SYSROOT_!${SYSROOT}!g" ${SYSROOT}/usr/src/compile-kernel &&
+
+chmod -v u+x ${SYSROOT}/usr/src/compile-kernel
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+# Saves CFLAGS and CXXFLAGS, and clears them.
+save_flags_no_optimizations
+
+cd ${LFS_TMP}/${1}-build &&
+../${1}/configure \
+ --target=${TARGET} \
+ --prefix=${PREFIX} &&
+make all &&
+make install &&
+
+# Restore original CFLAGS and CXXFLAGS values.
+restore_flags
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+
+# Must be defined before sourcing other files.
+LFS_STAGE="stage5"
+
+# Reading system configuration informations, functions and package versions.
+source ../functions
+source ../functions-update
+source ../packages-list
+
+update_packages_init
+
+# Begin
+
+lpkg 1 ${AVR_BINUTILS}
+lpkg 1 ${ARM_BINUTILS}
+lpkg 1 ${KERNEL}
+lpkg 1 ${GLIBC}
+lpkg 1 ${AVR_GCC_CORE}
+lpkg 1 ${ARM_GCC_CORE}
+fpkg ${AVR_LIBC} "http://download.savannah.gnu.org/releases/avr-libc"
+fpkg ${NEWLIB} "ftp://sources.redhat.com/pub/newlib"
+fpkg_gnu ${AVR_GDB}
+fpkg ${AVRDUDE} "http://download.savannah.gnu.org/releases/avrdude"
+fpkg_mis ${SPLINT} "${SPLINT}.src" "http://splint.org/downloads"
+
+GEDA_BASE_URL=http://geda.seul.org/release/v$(get_pkg_ver_base ${LIBGEDA})/$(get_pkg_ver ${LIBGEDA})
+
+fpkg ${LIBGEDA} ${GEDA_BASE_URL}
+fpkg ${GEDA_SYMBOLS} ${GEDA_BASE_URL}
+fpkg ${GEDA_GSCHEM} ${GEDA_BASE_URL}
+fpkg ${GEDA_GNETLIST} ${GEDA_BASE_URL}
+fpkg ${GEDA_SYMCHECK} ${GEDA_BASE_URL}
+fpkg ${GEDA_GATTRIB} ${GEDA_BASE_URL}
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+
+export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage4"
+export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
+export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+source /etc/profile
+
+# Init log file
+mkdir -p ${LFS_LOG_DIR} || exit 1
+if [ ! -f ${LFS_LOG_FILE} ]; then
+ touch ${LFS_LOG_FILE} || exit 1
+fi
+
+ipkg ${GDB} cis-gdb
+
+exit $?
--- /dev/null
+#!/bin/sh
+
+export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage5"
+export LFS_LOG_DIR=/var/log/hvlinux-install/stage5
+export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
+export LFS_TMP=/mnt/hv-packages/tmp
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+source /etc/profile
+
+init_log_file
+
+export TARGET="arm-elf"
+export PREFIX="/usr/arm-elf"
+
+var_add_path "PATH" /etc/profile "${PREFIX}/bin" &&
+source /etc/profile &&
+
+ipkg ${ARM_BINUTILS} cis-binutils
+ipkg_mult ${ARM_GCC_CORE} cis-gcc1 "${GCC_CORE}-pass1"
+ipkg ${NEWLIB} cis-newlib
+ipkg_mult ${ARM_GCC_CORE} cis-gcc2 "${GCC_CORE}-pass2"
+ipkg ${GDB} cis-gdb
+
+exit $?
--- /dev/null
+#!/bin/sh
+
+export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage5"
+export LFS_LOG_DIR=/var/log/hvlinux-install/stage5
+export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
+export LFS_TMP="/tmp"
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+source /etc/profile
+
+if [ "x${USER}" != "xroot" ]; then
+ echo "You must be the superuser to install hvlinux."
+ exit 1
+fi
+
+init_log_file
+
+export TARGET="avr"
+export PREFIX="/usr/avr"
+
+var_add_path "PATH" /etc/profile "${PREFIX}/bin" &&
+source /etc/profile &&
+
+ipkg ${AVR_BINUTILS} cis-binutils
+ipkg_mult ${AVR_GCC_CORE} cis-gcc2 "${GCC_CORE}-pass2"
+ipkg ${AVR_LIBC} cis-avr-libc
+ipkg ${AVRDUDE} cis-avrdude
+ipkg ${SPLINT} cis-ac-nobuild
+ipkg ${AVR_GDB} cis-gdb
+
+exit $?
--- /dev/null
+#!/bin/sh
+
+export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage5"
+export LFS_LOG_DIR=/var/log/hvlinux-install/stage5
+export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
+export LFS_TMP="$(dirname $(dirname $(pwd)))/packages/tmp"
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+source /etc/profile
+
+init_log_file
+
+if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
+ ipkg_ac ${LIBGEDA}
+ ipkg_ac ${GEDA_SYMBOLS}
+ ipkg_ac ${GEDA_GSCHEM}
+ ipkg_ac ${GEDA_GNETLIST}
+ ipkg_ac ${GEDA_SYMCHECK}
+ ipkg_ac ${GEDA_GATTRIB}
+fi
+
+exit $?
--- /dev/null
+#!/bin/sh
+
+export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage5"
+export LFS_LOG_DIR=/var/log/hvlinux-install/stage5
+export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
+export LFS_TMP=/tmp
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+source /etc/profile
+
+init_log_file
+
+export CFLAGS="-pipe -O2"
+export CXXFLAGS=${CFLAGS}
+
+export ARCH="powerpc"
+export TARGET="powerpc-405-linux-gnu"
+export PREFIX="/usr/powerpc-405"
+export SYSROOT=${PREFIX}/sysroot
+export CROSS_COMPILE=${TARGET}-
+
+var_add_path "PATH" /etc/profile "${PREFIX}/bin" &&
+source /etc/profile &&
+
+ipkg ${BINUTILS} cis-binutils
+ipkg_mult ${GCC_CORE} cis-gcc1 "${GCC_CORE}-pass1"
+ipkg ${KERNEL} cis-kernel
+ipkg ${GLIBC} cis-glibc
+
+exit 1
+exit 1
+
+ipkg_mult ${GCC_CORE} cis-gcc2 "${GCC_CORE}-pass2"
+ipkg ${GDB} cis-gdb
+
+exit $?
REGUSER="hugo"
# Destination path where to install new Linux-HV system
-LFS="/"
+LFS="/mnt/hvlinux-x86_64"
# Destination partition where to install new Linux-HV system
LFS_PARTITION="/dev/sda8"
# architecture. Default is x86 32-bits architecture (i686).
# x86 (i686)
# x86_64 (AMD Athlon 64)
-HVL_TARGET="x86"
+HVL_TARGET="x86_64"
# Used for setting '-march=xxx' option in CFLAGS and CPPFLAGS
MACHINE_ARCHITECTURE="athlon-xp"
# service.
USE_DYNAMIC_DNS="no"
-# Network interface card eth0 settings
-BOOTPROTO[0]="dhcp"
+# Network interface card eth0 settings (ROUTEUR/INTERNET)
+BOOTPROTO[0]="static"
+IP_ADDRESS[0]="192.168.1.2"
+PREFIX_LENGTH[0]=24
+
+# Network interface card eth1 settings (LAN)
+BOOTPROTO[1]="static"
+IP_ADDRESS[1]="192.168.0.1"
+PREFIX_LENGTH[1]=24
+
+# Network interface card eth2 settings (MVPMC)
+BOOTPROTO[2]="static"
+IP_ADDRESS[2]="192.168.99.1"
+PREFIX_LENGTH[2]=24
# DNS servers addresses (not required if using DHCP)
-#NAMESERVER[0]="192.168.1.1"
+NAMESERVER[0]="192.168.1.1"
# Define this if you want the mail addressed to the root user automatically
# be forwarded to someone else